Data Fields
_PurpleWhiteboardUiOps Struct Reference

The PurpleWhiteboard UI Operations. More...

`#include <whiteboard.h>`

## Data Fields
void(* | create )(PurpleWhiteboard *wb)
| create function
void(* | destroy )(PurpleWhiteboard *wb)
| destory function
void(* | set_dimensions )(PurpleWhiteboard *wb, int width, int height)
| set_dimensions function
void(* | set_brush )(PurpleWhiteboard *wb, int size, int color)
| set the size and color of the brush
void(* | draw_point )(PurpleWhiteboard *wb, int x, int y, int color, int size)
| draw_point function
void(* | draw_line )(PurpleWhiteboard *wb, int x1, int y1, int x2, int y2, int color, int size)
| draw_line function
void(* | clear )(PurpleWhiteboard *wb)
| clear function
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

The PurpleWhiteboard UI Operations.

Definition at line 56 of file whiteboard.h.

The documentation for this struct was generated from the following file:

- whiteboard.h